Subject: bug#77840: [bug-diffutils] bug#77840: Testing diffutils 3.12 on PPC Mac OS X 10.4.11, Tiger, produces so many failures

From: Peter Dyballa <[email-masked]>
Date: Tue, 20 May 2025 18:41:01 +0200

> Am 20.Mai.2025 um 18:25 schrieb Paul Eggert <[email-masked]>:
> 
> If I understand you correctly, you're saying that although the original bug report shows the above test failing when you run 'make check', you cannot reproduce the problem when you run the same test under GDB.

Correct. My assumption is that the environment MacPorts creates to build/install/test software is quite different.

> 
> However, I see that you ran /opt/local/bin/gdiff under GDB. Could you try running the just-built diff instead?

It is this executable:

	tiger pete 224 /\ l `which gdiff`
	-rwxr-xr-x 1 root admin 221052 20. Mai 10:40 /opt/local/bin/gdiff

Months ago I had uninstalled diffutils because gdiff did not work correctly. And to perform some tests I decided that it would be best (most simple) to install them again…

> The point is that we must be able to reproduce the bug reliably and simply; otherwise it won't be practical to investigate it.

OK, here is the test with exactly the diff executable built some hours ago:

	tiger pete 227 /\ /opt/local/var/macports/build/_Volumes_BSD-Linux_macports-ports_sysutils_diffutils/diffutils/work/diffutils-3.12/src/diff a b
	1c1
	< a
	---
	> b
	Exit 1
	tiger pete 228 /\ /opt/local/var/macports/build/_Volumes_BSD-Linux_macports-ports_sysutils_diffutils/diffutils/work/diffutils-3.12/src/diff -u a b
	--- a 2025-05-20 11:04:52.000000000 +0200
	+++ b 2025-05-20 11:05:08.000000000 +0200
	@@ -1 +1 @@
	-a
	+b
	Exit 1
	tiger pete 229 /\ /opt/local/var/macports/build/_Volumes_BSD-Linux_macports-ports_sysutils_diffutils/diffutils/work/diffutils-3.12/src/diff --version
	diff (GNU diffutils) 3.12
	Copyright (C) 2025 Free Software Foundation, Inc.
	License GPLv3+: GNU GPL version 3 or later <https://gnu.org/licenses/gpl.html>.
	This is free software: you are free to change and redistribute it.
	There is NO WARRANTY, to the extent permitted by law.
	
	Written by Paul Eggert, Mike Haertel, David Hayes,
	Richard Stallman, and Len Tower.
	tiger pete 230 /\ 

From building and testing diffutils again log and status files do exist.

--

Greetings

  Pete

True happiness is knowing you're a hypocrite
– Ivor Cutler